﻿.form-group + .form-group {
  border-top: none;
  padding-top: 0; }

div.dataTables_wrapper td.col-actions {
  padding: 4px; }

div.dataTables_wrapper td.col-badges .smart-card {
  width: 31px;
  height: 22px;
  display: inline-block;
  color: #fff;
  text-align: center;
  margin: 0 5px;
  background: url(/img/card2.png); }
  div.dataTables_wrapper td.col-badges .smart-card span {
    width: 15px;
    display: inline-block; }
  div.dataTables_wrapper td.col-badges .smart-card.smart-card-active {
    background: url(/img/card1.png); }
    div.dataTables_wrapper td.col-badges .smart-card.smart-card-active span {
      width: 31px; }
  div.dataTables_wrapper td.col-badges .smart-card.smart-card-not-active {
    background: url(/img/card3.png); }
    div.dataTables_wrapper td.col-badges .smart-card.smart-card-not-active span {
      width: 31px; }

div.dataTables_wrapper td.col-badges .vehicle-tag {
  width: 32px;
  height: 24px;
  display: inline-block;
  color: #fff;
  text-align: center;
  margin: 0 5x;
  background: url(/img/car2.png); }
  div.dataTables_wrapper td.col-badges .vehicle-tag span {
    width: 16px;
    display: inline-block; }
  div.dataTables_wrapper td.col-badges .vehicle-tag.vehicle-tag-active {
    background: url(/img/car1.png); }
    div.dataTables_wrapper td.col-badges .vehicle-tag.vehicle-tag-active span {
      width: 32px; }
  div.dataTables_wrapper td.col-badges .vehicle-tag.vehicle-tag-not-active {
    background: url(/img/car3.png); }
    div.dataTables_wrapper td.col-badges .vehicle-tag.vehicle-tag-not-active span {
      width: 32px; }

div.dataTables_wrapper div.dataTables_filter {
  text-align: initial; }

.btn-outline-primary {
  color: #46acda;
  border-color: #46acda; }
  .btn-outline-primary:hover {
    color: #fff;
    background-color: #46acda;
    border-color: #46acda; }
  .btn-outline-primary:not(:disabled):not(.disabled):active, .btn-outline-primary:not(:disabled):not(.disabled).active {
    color: #fff;
    background-color: #46acda;
    border-color: #46acda; }
  .btn-outline-primary:focus, .btn-outline-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(70, 172, 218, 0.5); }

html.dark body {
  background: #0a1824;
  font-family: "Roboto", Calibri, sans-serif; }
  html.dark body .panel-sign .card-body {
    background: transparent; }
  html.dark body .form-control {
    background-color: #021f37;
    border-color: #021f37;
    color: #fff; }
  html.dark body .has-error {
    color: red; }
  html.dark body .table-striped > tbody > tr:nth-child(2n+1) > td, html.dark body .table-striped > tbody > tr:nth-child(2n+1) > th {
    background-color: #102943; }
  html.dark body .table > thead > tr > th, html.dark body .table > tbody > tr > th, html.dark body .table > tfoot > tr > th, html.dark body .table > thead > tr > td, html.dark body .table > tbody > tr > td, html.dark body .table > tfoot > tr > td, html.dark body .table-bordered {
    border-color: #0a1824;
    color: #fff; }
  html.dark body .col-actions {
    text-align: center; }
    html.dark body .col-actions .btn-rounded {
      width: 39px;
      height: 39px; }
      html.dark body .col-actions .btn-rounded.btn-delete {
        padding: 0.532rem 0rem;
        font-size: 15px;
        background: #1a0521;
        border: #1a0521;
        color: red !important; }
        html.dark body .col-actions .btn-rounded.btn-delete:focus, html.dark body .col-actions .btn-rounded.btn-delete.focus {
          box-shadow: 0 0 0 0.2rem rgba(26, 5, 33, 0.25); }
  html.dark body .loader {
    background: rgba(31, 52, 88, 0.9);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10000;
    display: none;
    text-align: center; }
    html.dark body .loader .loader-inner {
      position: absolute;
      top: 50%;
      margin-top: -112px;
      width: 100%; }
      html.dark body .loader .loader-inner p {
        color: #fff;
        margin: 0;
        line-height: 24px; }
  @media (min-width: 576px) {
    html.dark body .modal-dialog-sm {
      max-width: 300px; } }
  html.dark body .header {
    background: #071e36;
    border-top-color: #071e36; }
    html.dark body .header .logo {
      margin: 0 11px; }
      html.dark body .header .logo:after {
        border: none; }
    html.dark body .header .nav.nav-pills li.dropdown.show > a, html.dark body .header .nav.nav-pills li.dropdown:hover > a {
      padding-bottom: 15px; }
    html.dark body .header .nav.nav-pills li a {
      padding: 9px 13px 10px; }
      html.dark body .header .nav.nav-pills li a:before {
        left: 0; }
      html.dark body .header .nav.nav-pills li a.dropdown-toggle:after {
        position: absolute;
        bottom: -2px;
        left: 21px; }
      html.dark body .header .nav.nav-pills li a img {
        height: 33px; }
    html.dark body .header .userbox {
      margin: 10px 17px 0 0; }
      html.dark body .header .userbox .profile-picture.online img {
        border: 2px solid #7dfa16; }
      html.dark body .header .userbox .profile-picture.offline img {
        border: 2px solid #ff1800; }
  html.dark body .page-header {
    background: #0e2d4d;
    box-shadow: none !important; }
    html.dark body .page-header h2 {
      border: none; }
  html.dark body .toggle .toggle {
    background: #032541; }
    html.dark body .toggle .toggle .toggle-title {
      color: #fff;
      font-size: 15px;
      background: #021f37;
      border-color: #021f37; }
    html.dark body .toggle .toggle.active .toggle-title {
      background: #174674 !important;
      border-color: #174674; }
    html.dark body .toggle .toggle .error {
      color: red; }
  html.dark body .toggle:last-child {
    margin-bottom: 0; }
  html.dark body .card .card-header, html.dark body .card .card-footer {
    background: #021f37; }
  html.dark body .card .card-body {
    background: #0e2d4d;
    border: none; }
  html.dark body .card .card-error {
    background: red;
    padding: 0.5rem 1.25rem; }
    html.dark body .card .card-error p {
      margin: 0;
      color: #fff; }
  html.dark body .badge-card .card-header {
    background: #113559;
    border-bottom: none;
    width: 100px; }
    html.dark body .badge-card .card-header .card-header-icon {
      width: 60px;
      height: 60px;
      background-size: 40px !important; }
    html.dark body .badge-card .card-header .switch {
      margin-top: 14px;
      margin-left: 3px; }
  html.dark body .badge-card .card-body {
    background: #174674; }
    html.dark body .badge-card .card-body .form-group {
      margin-bottom: 0.5rem; }
      html.dark body .badge-card .card-body .form-group .badge-name {
        margin-bottom: 10px;
        font-size: 16px;
        color: #fff; }
      html.dark body .badge-card .card-body .form-group .edit-badge-name {
        padding: 0rem 0.75rem;
        min-height: 1rem;
        display: none; }
      html.dark body .badge-card .card-body .form-group .badge-description {
        color: #fff;
        margin-bottom: 10px;
        font-size: 14px;
        min-height: 24px; }
      html.dark body .badge-card .card-body .form-group .edit-badge-description {
        display: none; }
    html.dark body .badge-card .card-body .tag-info {
      border-top: 1px solid #0e2d4d;
      margin-top: 5px;
      padding-top: 5px; }
      html.dark body .badge-card .card-body .tag-info p {
        margin: 0;
        color: #fff; }
    html.dark body .badge-card .card-body .col-actions .btn {
      width: 35px;
      height: 35px;
      padding: 0.4rem 0rem;
      font-size: 15px;
      position: absolute;
      right: 0; }
      html.dark body .badge-card .card-body .col-actions .btn.btn-cancel {
        display: none;
        top: 0;
        color: #fff; }
      html.dark body .badge-card .card-body .col-actions .btn.btn-edit {
        display: block;
        top: 50%;
        margin-top: -17px; }
      html.dark body .badge-card .card-body .col-actions .btn.btn-save {
        display: none;
        top: 50%;
        margin-top: -17px; }
      html.dark body .badge-card .card-body .col-actions .btn.btn-delete {
        display: none;
        bottom: 0; }
  html.dark body .badge-card.edit-mode .form-group .badge-name {
    display: none; }
  html.dark body .badge-card.edit-mode .form-group .edit-badge-name {
    display: block; }
  html.dark body .badge-card.edit-mode .form-group .badge-description {
    display: none; }
  html.dark body .badge-card.edit-mode .form-group .edit-badge-description {
    display: block; }
  html.dark body .badge-card.edit-mode .col-actions .btn.btn-cancel, html.dark body .badge-card.edit-mode .col-actions .btn.btn-save, html.dark body .badge-card.edit-mode .col-actions .btn.btn-delete {
    display: block; }
  html.dark body .badge-card.edit-mode .col-actions .btn.btn-edit {
    display: none; }
  html.dark body .badge-card.edit-mode.badge-card-new .col-actions .btn.btn-cancel {
    display: none; }
  html.dark body .badge-card.badge-0 .card-header .card-header-icon {
    background: url("/img//smart_card.png") center center no-repeat; }
  html.dark body .badge-card.badge-1 .card-header .card-header-icon {
    background: url("/img//vehicle_tag.png") center center no-repeat; }
  html.dark body .badge-card.badge-card-add {
    height: 138px;
    text-align: center;
    cursor: pointer; }
    html.dark body .badge-card.badge-card-add header {
      border-radius: 5px !important; }
      html.dark body .badge-card.badge-card-add header img {
        height: 50px; }
      html.dark body .badge-card.badge-card-add header .wait-message {
        display: none;
        position: absolute;
        left: 0;
        bottom: 10px;
        width: 100%;
        text-align: center;
        margin: 0;
        color: #fff; }
    html.dark body .badge-card.badge-card-add.badge-card-add-waiting header .wait-message {
      display: block;
      animation: blinker 1.5s linear infinite; }
  html.dark body .badge-filter {
    display: inline-block;
    border: 1px solid #fff;
    padding: 7px;
    margin-right: 5px;
    border-radius: 3px;
    color: #fff; }
    html.dark body .badge-filter .badge-remove {
      cursor: pointer; }
  html.dark body .filter-container .wait-message {
    margin: 0;
    color: #fff;
    animation: blinker 1.5s linear infinite; }
  html.dark body .access-card .card-header {
    background: #174674;
    color: #fff;
    padding: 10px 15px; }
  html.dark body .access-card .card-body {
    padding: 10px; }
    html.dark body .access-card .card-body select {
      width: calc(100% - 30px); }

select:not([multiple]) {
  background-image: url(data:image/svg+xml;charset=UTF-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2212%22%20height%3D%2212%22%20viewBox%3D%220%200%2012%2012%22%3E%3Ctitle%3Edown-arrow%3C%2Ftitle%3E%3Cg%20fill%3D%22%23EEE%22%3E%3Cpath%20d%3D%22M10.293%2C3.293%2C6%2C7.586%2C1.707%2C3.293A1%2C1%2C0%2C0%2C0%2C.293%2C4.707l5%2C5a1%2C1%2C0%2C0%2C0%2C1.414%2C0l5-5a1%2C1%2C0%2C1%2C0-1.414-1.414Z%22%20fill%3D%22%23EEE%22%3E%3C%2Fpath%3E%3C%2Fg%3E%3C%2Fsvg%3E); }

@keyframes blinker {
  50% {
    opacity: 0; } }
